Loading...
Searching...
No Matches
BALL::VIEW::VIEWPlugin Class Referenceabstract

`#include <BALL/VIEW/PLUGIN/VIEWPlugin.h>`

## Public Member Functions

virtual | ~VIEWPlugin ()
virtual QString | getName () const =0
virtual QString | getDescription () const =0
virtual const QPixmap * | getIcon () const =0
virtual ConfigDialog * | getConfigDialog ()=0
virtual bool | isActive ()=0

## Detailed Description

Definition at line 28 of file VIEWPlugin.h.

## Constructor & Destructor Documentation

## ~VIEWPlugin()

virtual BALL::VIEW::VIEWPlugin::~VIEWPlugin | ( |  | ) |

inline virtual

Definition at line 31 of file VIEWPlugin.h.

## Member Function Documentation

## getConfigDialog()

virtual ConfigDialog * BALL::VIEW::VIEWPlugin::getConfigDialog | ( |  | ) |

pure virtual

## getDescription()

virtual QString BALL::VIEW::VIEWPlugin::getDescription | ( |  | ) | const

pure virtual

## getIcon()

virtual const QPixmap * BALL::VIEW::VIEWPlugin::getIcon | ( |  | ) | const

pure virtual

## getName()

virtual QString BALL::VIEW::VIEWPlugin::getName | ( |  | ) | const

pure virtual

## isActive()

virtual bool BALL::VIEW::VIEWPlugin::isActive | ( |  | ) |

pure virtual